Skip to navigation

List workspace folder contents

View as Markdown

This method returns the contents of a workspace folder, which can include sub-folders and files.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

folderIdstringRequired
The ID of the folder.
workspaceIdstringRequired
The ID of the workspace.

Query parameters

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

include_filesstringOptional

When true, the response includes file information (in addition to folder information). The default is false.

include_sub_foldersstringOptional

When true, the response includes information about the sub-folders of the current folder. The default is false.

include_thumbnailsstringOptional

When true, the response returns thumbnails. The default is false.

include_user_detailstringOptional

When true, the response includes extended details about the user. The default is false.

start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

workspace_user_idstringOptional

If set, the response only includes results associated with the userId that you specify.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
folderobjectOptional
This object represents an item in a workspace, which can be either a file or folder.
itemslist of objectsOptional
A list of workspace items.
parentFolderslist of objectsOptional
resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

workspaceIdstringOptional
The id of the workspace, always populated.

Errors

400
Bad Request Error